### Method

# RB StreamingSource get_progress

#### Declaration [src]

    void
    rb_streaming_source_get_progress (
      RBStreamingSource* source,
      char** text,
      float* progress
    )

#### Description [src]

Provides status text and progress fraction suitable for use in a streaming source’s `rb_source_get_status` method.

#### Parameters

`text`

  Type: `char**`

  Returns buffering status text.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`progress`

  Type: `float*`

  Returns buffering progress fraction.

  The argument will be set by the function.